Cyberduck Mountain Duck CLI

#10000 closed defect (worksforme)

Error: "Unknown Application Error" when Saving or Refreshing File Browser.

Reported by: TheTotalLegend Owned by: dkocher
Priority: high Milestone: 6.2.9
Component: sftp Version: 6.1
Severity: critical Keywords:
Cc: Architecture: Intel
Platform: Windows 10

Description (last modified by dkocher)

After the last couple of updates, Cyberduck started becoming unusable with an unknown error.

The errors start after about 30 minutes of use.

When Saving an edited file, a dialogue box will display: "Unknown Application Error" -> Try Again. While the file does save remotely, I have to close this dialogue box in order to save changes again. This error will randomly pop-up becoming more frequent as I use Cyberduck. It will randomly pop up on every 9th save, or every 3rd save, or on every save. After awhile Cyberduck becomes unusable and I have to restart it.

The Log Drawer reveals:

368 OPENDIR
370 READDIR
371 READDIR
372 CLOSE
373 OPEN
374 WRITE
375 CLOSE
376 SETSTAT
377 SETSTAT

When Refreshing the file browser, I get a different dialogue box message with "Unknown Application Error" -> Try Again. The Log Drawer reveals:

1250 OPENDIR
1251 OPENDIR
1252 READDIR

...

I noticed both of these issues started about two, maybe three updates ago. And it's getting worse and more frequent as I use the application.

Attachments (6)

cyberduck_error_1.PNG (6.2 KB) - added by TheTotalLegend on Jul 2, 2017 at 9:02:59 PM.
Error when Saving File
cyberduck_error_2.PNG (8.2 KB) - added by TheTotalLegend on Jul 2, 2017 at 9:03:20 PM.
When Refreshing File Browser
cyberduckerrors.PNG (14.0 KB) - added by TheTotalLegend on Jul 2, 2017 at 9:04:18 PM.
Random Errors when Saving or Refreshing
Cyberduck.exe.log (9.2 KB) - added by TheTotalLegend on Jul 4, 2017 at 5:55:40 AM.
Cyberduck_20170629200333.log (11.2 KB) - added by TheTotalLegend on Jul 4, 2017 at 5:55:51 AM.
cyberduck.log (16.6 KB) - added by TheTotalLegend on Oct 15, 2017 at 9:00:25 AM.

Download all attachments as: .zip

Change History (13)

Changed on Jul 2, 2017 at 9:02:59 PM by TheTotalLegend

Error when Saving File

Changed on Jul 2, 2017 at 9:03:20 PM by TheTotalLegend

When Refreshing File Browser

Changed on Jul 2, 2017 at 9:04:18 PM by TheTotalLegend

Random Errors when Saving or Refreshing

comment:1 Changed on Jul 3, 2017 at 7:24:38 AM by dkocher

  • Description modified (diff)

comment:2 Changed on Jul 3, 2017 at 7:25:04 AM by dkocher

Please attach the file cyberduck.log in the application support directory.

Changed on Jul 4, 2017 at 5:55:40 AM by TheTotalLegend

Changed on Jul 4, 2017 at 5:55:51 AM by TheTotalLegend

comment:3 Changed on Jul 4, 2017 at 5:56:33 AM by TheTotalLegend

I've attached the most recent logs I could find.

comment:4 Changed on Aug 21, 2017 at 10:08:54 AM by dkocher

  • Component changed from core to sftp
  • Owner set to dkocher

comment:5 Changed on Oct 13, 2017 at 6:52:26 PM by dkocher

It looks like you didn't find the log file requested. Attach the log file “cyberduck.log” located in your home folder in “AppData/Roaming/Cyberduck”. To navigate there, open an File Explorer window and paste “%APPDATA%/Cyberduck” in the Quick access location field.

comment:6 Changed on Oct 13, 2017 at 6:52:36 PM by dkocher

  • Milestone set to 6.2.9
  • Resolution set to worksforme
  • Status changed from new to closed

Changed on Oct 15, 2017 at 9:00:25 AM by TheTotalLegend

comment:7 Changed on Oct 15, 2017 at 9:02:25 AM by TheTotalLegend

I've added the log, thanks for pointing me to the file. I have attached it.

This ticket should not be closed as I am still experiencing this issue daily and it is not resolved.

Note: See TracTickets for help on using tickets.